Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogicx.jsp.tags
Class CacheMessage

    java.lang.Object
      |
      +--weblogicx.jsp.tags.CacheMessage

public class CacheMessage
extends java.lang.Object
implements weblogic.cluster.GroupMessage

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`CacheMessage()`
`CacheMessage(java.lang.String httpServerName, java.lang.String contextName, java.lang.String cacheKey, java.lang.String additionalKey, java.lang.Object cacheValue, int size, int timeout)`

Method Summary
`void` | `execute(weblogic.rjvm.JVMID sender)`
`void` | `readExternal(java.io.ObjectInput oi)`
`boolean` | `runInSameThread()`
`void` | `writeExternal(java.io.ObjectOutput oo)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CacheMessage

    public CacheMessage()

### CacheMessage

    public CacheMessage(java.lang.String httpServerName,
                        java.lang.String contextName,
                        java.lang.String cacheKey,
                        java.lang.String additionalKey,
                        java.lang.Object cacheValue,
                        int size,
                        int timeout)

Method Detail

### execute

    public void execute(weblogic.rjvm.JVMID sender)

  Specified by:
    execute in interface weblogic.cluster.GroupMessage

### runInSameThread

    public boolean runInSameThread()

### readExternal

    public void readExternal(java.io.ObjectInput oi)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

### writeExternal

    public void writeExternal(java.io.ObjectOutput oo)
                       throws java.io.IOException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD